<html devsite><head>
    <title>Android 安全公告 - 2017 年 7 月</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          //www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->
<p><em>发布时间：2017 年 7 月 5 日 | 更新时间：2017 年 9 月 26 日</em></p>

<p>本 Android 安全公告详细介绍了会影响 Android 设备的安全漏洞。安全补丁程序级别为 2017 年 7 月 5 日或更新的 Android 系统都已解决本公告中所述的所有问题。要了解如何查看设备的安全补丁程序级别，请参阅 <a href="//support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">Pixel 和 Nexus 更新时间表</a>。</p>

<p>合作伙伴在至少一个月前就已收到关于本公告中所述问题的通知。我们已将针对这些问题的源代码补丁程序发布到 Android 开源项目 (AOSP) 代码库中，并在本公告中提供了相应链接。本公告中还提供了指向 AOSP 之外的补丁程序的链接。</p>

<p>这些问题中危险性最高的是媒体框架中的一个严重程度为“严重”的安全漏洞，该漏洞可让远程攻击者利用蓄意创建的文件通过特权进程执行任意代码。<a href="/security/overview/updates-resources.html#severity">严重程度评估</a>的依据是漏洞被利用后可能会对受影响的设备造成的影响（假设相关平台和服务缓解措施被成功规避或出于开发目的而被停用）。</p>

<p>尚未有人向我们举报过有用户主动利用或滥用这些新报告的问题。请参阅 <a href="#mitigations">Android 和 Google Play 保护机制提供的缓解措施</a>部分，详细了解有助于提高 Android 平台安全性的 <a href="/security/enhancements/index.html">Android 安全平台防护功能</a>和 Google Play 保护机制。</p>

<p>我们建议所有用户都在自己的设备上接受这些更新。</p>

<p class="note"><strong>注意</strong>：如需了解适用于 Google 设备的最新无线下载更新 (OTA) 和固件映像，请参阅 <a href="#google-device-updates">Google 设备更新</a>部分。</p>

<h2 id="announcements">公告</h2>
<ul>
  <li>本公告有 2 个安全补丁程序级别字符串，目的是让 Android 合作伙伴能够灵活地、更快速地修复在各种 Android 设备上类似的一系列漏洞。如需了解详情，请参阅<a href="#common-questions-and-answers">常见问题和解答</a>：
    <ul>
       <li><strong>2017-07-01</strong>：部分安全补丁程序级别字符串。该安全补丁程序级别字符串表明 2017-07-01（以及之前的所有安全补丁程序级别字符串）涵盖的所有问题均已得到解决。</li>
       <li><strong>2017-07-05</strong>：完整安全补丁程序级别字符串。该安全补丁程序级别字符串表明 2017-07-01 和 2017-07-05（以及之前的所有安全补丁程序级别字符串）涵盖的所有问题均已得到解决。</li>
    </ul>
  </li>
</ul>

<h2 id="mitigations">Android 和 Google Play 保护机制提供的缓解措施</h2>
<p>这一部分总结了 <a href="/security/enhancements/index.html">Android 安全平台</a>和服务防护功能（如 <a href="//www.android.com/play-protect">Google Play 保护机制</a>）提供的缓解措施。这些功能有助于降低 Android 上的安全漏洞被成功利用的可能性。</p>
<ul>
  <li>较高版本的 Android 平台中提供的增强功能让攻击者更加难以利用 Android 上存在的许多问题。我们建议所有用户都尽可能更新到最新版 Android。</li>
  <li>Android 安全团队会积极利用 <a href="//www.android.com/play-protect">Google Play 保护机制</a>监控滥用行为，并会在发现<a href="/security/reports/Google_Android_Security_PHA_classifications.pdf">可能有害的应用</a>时向用户发出警告。在安装有 <a href="//www.android.com/gms">Google 移动服务</a>的设备上，Google Play 保护机制会默认处于启用状态。对于从 Google Play 以外的来源安装应用的用户来说，该功能尤为重要。
  </li>
</ul>

<h2 id="2017-07-01-details">2017-07-01 安全补丁程序级别 - 漏洞详情</h2>
<p>我们在下面提供了 2017-07-01 补丁程序级别涵盖的每个安全漏洞的详细信息。漏洞列在所影响的组件下，内容包括问题描述和一个表，该表中包含 CVE、相关参考内容、<a href="#common-questions-and-answers">漏洞类型</a>、<a href="/security/overview/updates-resources.html#severity">严重程度</a>和已更新的 AOSP 版本（如果适用）。如果有解决相应问题的公开更改记录（例如 AOSP 代码更改列表），我们会将 Bug ID 链接到该记录。如果某个 Bug 有多条相关的代码更改记录，我们还会通过 Bug ID 后面的数字链接到更多参考内容。</p>

<h3 id="runtime">运行时</h3>
<p>这一部分中最严重的漏洞可让远程攻击者利用蓄意创建的文件通过非特权进程执行任意代码。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>类型</th>
   <th>严重程度</th>
   <th>已更新的 AOSP 版本</th>
  </tr>
  <tr>
   <td>CVE-2017-3544</td>
   <td><a href="https://android.googlesource.com/platform/libcore/+/c5dd90d62590425f04a261e0f6c927acca147f88">A-35784677</a></td>
   <td>RCE</td>
   <td>中</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
</tbody></table>
<h3 id="framework">框架</h3>
<p>这一部分中最严重的漏洞可让本地恶意应用利用蓄意创建的文件通过使用相应库的应用执行任意代码。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>类型</th>
   <th>严重程度</th>
   <th>已更新的 AOSP 版本</th>
  </tr>
  <tr>
   <td>CVE-2017-0664</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/59773dc2f213c3e645c7e04881afa0a8e6ffccca">A-36491278</a></td>
   <td>EoP</td>
   <td>高</td>
   <td>5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0665</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/native/+/75edf04bf18d37df28fb58e1d75331ed4bcae230">A-36991414</a></td>
   <td>EoP</td>
   <td>高</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0666</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/native/+/5fc2df253c089b53b3e235a3f237f96a98b53977">A-37285689</a></td>
   <td>EoP</td>
   <td>高</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0667</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/native/+/5ac63e4547feaa7cb51ac81896250f47f367ffba">A-37478824</a></td>
   <td>EoP</td>
   <td>高</td>
   <td>5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0668</td>
   <td><a href="https://android.googlesource.com/platform/packages/providers/DownloadProvider/+/b3e3325d23289a94e66d8ce36a53a7ccf7b52c6d">A-22011579</a></td>
   <td>ID</td>
   <td>中</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0669</td>
   <td><a href="https://android.googlesource.com/platform/packages/providers/MediaProvider/+/7b7ef84234cd3daea0e22025b908b0041885736c">A-34114752</a></td>
   <td>ID</td>
   <td>高</td>
   <td>6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0670</td>
   <td><a href="https://android.googlesource.com/platform/bionic/+/e102faee8b2f87c28616e7f5453f9a11eea9b122">A-36104177</a></td>
   <td>DoS</td>
   <td>高</td>
   <td>5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
</tbody></table>
<h3 id="libraries">库</h3>
<p>这一部分中最严重的漏洞可让远程攻击者利用蓄意创建的文件通过使用相应库的应用执行任意代码。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>类型</th>
   <th>严重程度</th>
   <th>已更新的 AOSP 版本</th>
  </tr>
  <tr>
   <td>CVE-2017-0671</td>
   <td>A-34514762<a href="#asterisk">*</a></td>
   <td>RCE</td>
   <td>高</td>
   <td>4.4.4</td>
  </tr>
  <tr>
   <td>CVE-2016-2109</td>
   <td><a href="https://android.googlesource.com/platform/external/boringssl/+/ccb2efe8d3fccb4321e85048d67c8528e03d4652">A-35443725</a></td>
   <td>DoS</td>
   <td>高</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0672</td>
   <td><a href="https://android.googlesource.com/platform/external/skia/+/c4087ff5486d36a690c681affb668164ec0dd697">A-34778578</a></td>
   <td>DoS</td>
   <td>高</td>
   <td>7.0、7.1.1、7.1.2</td>
  </tr>
</tbody></table>
<h3 id="media-framework">媒体框架</h3>
<p>这一部分中最严重的漏洞可让远程攻击者利用蓄意创建的文件通过特权进程执行任意代码。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>类型</th>
   <th>严重程度</th>
   <th>已更新的 AOSP 版本</th>
  </tr>
  <tr>
   <td>CVE-2017-0540</td>
   <td><a href="https://android.googlesource.com/platform/external/libhevc/+/a92b39ff0c47d488b81fecd62ba85e48d386aa68">A-33966031</a></td>
   <td>RCE</td>
   <td>严重</td>
   <td>5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0673</td>
   <td><a href="https://android.googlesource.com/platform/external/libavc/+/381ccb2b7f2ba42490bafab6aa7a63a8212b396f">A-33974623</a></td>
   <td>RCE</td>
   <td>严重</td>
   <td>6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0674</td>
   <td><a href="https://android.googlesource.com/platform/external/libmpeg2/+/1603112cccbab3dff66a7eb1b82e858c1749f34b">A-34231163</a></td>
   <td>RCE</td>
   <td>严重</td>
   <td>6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0675</td>
   <td><a href="https://android.googlesource.com/platform/external/libhevc/+/726108468dcfdabb833b8d55333de53cf6350aaa">A-34779227</a> [<a href="https://android.googlesource.com/platform/external/libhevc/+/4395fc2288e3f692765c73fce416e831fdaa5463">2</a>]</td>
   <td>RCE</td>
   <td>严重</td>
   <td>6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0676</td>
   <td><a href="https://android.googlesource.com/platform/external/libhevc/+/8e415eabb5d2abd2f2bd40a675339d967f81521b">A-34896431</a></td>
   <td>RCE</td>
   <td>严重</td>
   <td>5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0677</td>
   <td><a href="https://android.googlesource.com/platform/external/libavc/+/b8fee6a6d0a91fb5ddca8f54b0c891e25c1b65ae">A-36035074</a></td>
   <td>RCE</td>
   <td>严重</td>
   <td>6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0678</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/64bc0b8c0c495c487604d483aa57978db7f634be">A-36576151</a></td>
   <td>RCE</td>
   <td>严重</td>
   <td>7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0679</td>
   <td><a href="https://android.googlesource.com/platform/external/libavc/+/91cb6b1745f3e9d341cf6decc2b916cb1e4eea77">A-36996978</a></td>
   <td>RCE</td>
   <td>严重</td>
   <td>6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0680</td>
   <td><a href="https://android.googlesource.com/platform/external/libavc/+/989df73b34a7a698731cab3ee1e4a831a862fbe1">A-37008096</a></td>
   <td>RCE</td>
   <td>严重</td>
   <td>6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0681</td>
   <td><a href="https://android.googlesource.com/platform/external/tremolo/+/822af05a1364d8dc6189dce5380a2703214dd799">A-37208566</a></td>
   <td>RCE</td>
   <td>严重</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0682</td>
   <td>A-36588422<a href="#asterisk">*</a></td>
   <td>RCE</td>
   <td>高</td>
   <td>7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0683</td>
   <td>A-36591008<a href="#asterisk">*</a></td>
   <td>RCE</td>
   <td>高</td>
   <td>7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0684</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/c7c9271740c29c02e7926265ed53a44b8113dbfb">A-35421151</a></td>
   <td>EoP</td>
   <td>高</td>
   <td>6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0685</td>
   <td><a href="https://android.googlesource.com/platform/external/libmpeg2/+/680b75dabb90c8c2e22886826554ad1bc99b36f1">A-34203195</a></td>
   <td>DoS</td>
   <td>高</td>
   <td>6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0686</td>
   <td><a href="https://android.googlesource.com/platform/external/libmpeg2/+/b8d7e85c10cc22e1a5d81ec3d8a2e5bdd6102852">A-34231231</a></td>
   <td>DoS</td>
   <td>高</td>
   <td>6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0688</td>
   <td><a href="https://android.googlesource.com/platform/external/libavc/+/62c07468bc26d1f9487c5298bb2a2f3740db13b1">A-35584425</a></td>
   <td>DoS</td>
   <td>高</td>
   <td>6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0689</td>
   <td><a href="https://android.googlesource.com/platform/external/libhevc/+/2210ff5600d3f965352a3074adff8fedddcf347e">A-36215950</a></td>
   <td>DoS</td>
   <td>高</td>
   <td>5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0690</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/1f418f10f4319fc829360b7efee7fca4b3880867">A-36592202</a></td>
   <td>DoS</td>
   <td>高</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0691</td>
   <td><a href="https://android.googlesource.com/platform/external/dng_sdk/+/c70264282305351abbec9b967333db4d896583b9">A-36724453</a></td>
   <td>DoS</td>
   <td>高</td>
   <td>7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0692</td>
   <td><a href="https://android.googlesource.com/platform/external/sonivox/+/6db482687caf12ea7d2d07d655b17413bc937c73">A-36725407</a></td>
   <td>DoS</td>
   <td>高</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0693</td>
   <td><a href="https://android.googlesource.com/platform/external/libavc/+/632ff754836d22415136cb3f97fe4622c862ce81">A-36993291</a></td>
   <td>DoS</td>
   <td>高</td>
   <td>6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0694</td>
   <td><a href="https://android.googlesource.com/platform/external/sonivox/+/47750a5f1b19695ac64d6f7aa6e7e0918d3c8977">A-37093318</a></td>
   <td>DoS</td>
   <td>高</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0695</td>
   <td><a href="https://android.googlesource.com/platform/external/libhevc/+/cc5683451dd9be1491b54f215e9934d49f11cf70">A-37094889</a></td>
   <td>DoS</td>
   <td>高</td>
   <td>5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0696</td>
   <td><a href="https://android.googlesource.com/platform/external/libavc/+/0d0ddb7cd7618ede5301803c526f066b95ce5089">A-37207120</a></td>
   <td>DoS</td>
   <td>高</td>
   <td>6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0697</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/c5eaf3ae70d5ea3a7d390294002e4cf9859b3578">A-37239013</a></td>
   <td>DoS</td>
   <td>高</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0698</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/1618337cac09284fddb5bb14b5e0cfe2946d3431">A-35467458</a></td>
   <td>ID</td>
   <td>中</td>
   <td>6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0699</td>
   <td><a href="https://android.googlesource.com/platform/external/libavc/+/989b2afc3ebb1bbb4c962e2aff1fd9b3149f83f1">A-36490809</a></td>
   <td>ID</td>
   <td>中</td>
   <td>6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
</tbody></table>
<h3 id="system-ui">系统界面</h3>
<p>这一部分中最严重的漏洞可让远程攻击者利用蓄意创建的文件通过特权进程执行任意代码。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>类型</th>
   <th>严重程度</th>
   <th>已更新的 AOSP 版本</th>
  </tr>
  <tr>
   <td>CVE-2017-0700</td>
   <td><a href="https://android.googlesource.com/platform/external/libgdx/+/38889ebd9b9c682bd1b64fd251ecd69b504a6155">A-35639138</a></td>
   <td>RCE</td>
   <td>高</td>
   <td>7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0701</td>
   <td><a href="https://android.googlesource.com/platform/external/libgdx/+/85e94f5b67c1beb9402c4de82bd481a5202470de">A-36385715</a> [<a href="https://android.googlesource.com/platform/external/libgdx/+/bd4c825d8fc5dd48f5c602e673ae210909b31fd0">2</a>]</td>
   <td>RCE</td>
   <td>高</td>
   <td>7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0702</td>
   <td><a href="https://android.googlesource.com/platform/external/libgdx/+/5d46e9a1784c02f347af107a978fe9fbd7af7fb2">A-36621442</a></td>
   <td>RCE</td>
   <td>高</td>
   <td>7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0703</td>
   <td><a href="https://android.googlesource.com/platform/packages/apps/Settings/+/4af8f912aa1ee714638d0f9694d6f856bc8166f3">A-33123882</a></td>
   <td>EoP</td>
   <td>高</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2</td>
  </tr>
  <tr>
   <td>CVE-2017-0704</td>
   <td><a href="https://android.googlesource.com/platform/packages/apps/Settings/+/179f0e9512100b0a403aab8b2b4cf5510bb20bee">A-33059280</a></td>
   <td>EoP</td>
   <td>中</td>
   <td>7.1.1、7.1.2</td>
  </tr>
</tbody></table>

<h2 id="2017-07-05-details">2017-07-05 安全补丁程序级别 - 漏洞详情</h2>
<p>我们在下面提供了 2017-07-05 补丁程序级别涵盖的每个安全漏洞的详细信息。漏洞列在所影响的组件下，内容包括 CVE、相关参考内容、<a href="#common-questions-and-answers">漏洞类型</a>、<a href="/security/overview/updates-resources.html#severity">严重程度</a>、组件（如果适用）和已更新的 AOSP 版本（如果适用）等详细信息。如果有解决相应问题的公开更改记录（例如 AOSP 代码更改列表），我们会将 Bug ID 链接到该记录。如果某个 Bug 有多条相关的代码更改记录，我们还会通过 Bug ID 后面的数字链接到更多参考内容。</p>

<h3 id="broadcom-components">Broadcom 组件</h3>
<p>这一部分中最严重的漏洞可让邻近区域内的攻击者通过内核执行任意代码。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>类型</th>
   <th>严重程度</th>
   <th>组件</th>
  </tr>
  <tr>
   <td>CVE-2017-9417</td>
   <td>A-38041027<a href="#asterisk">*</a><br />B-RB#123023</td>
   <td>RCE</td>
   <td>严重</td>
   <td>WLAN 驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-0705</td>
   <td>A-34973477<a href="#asterisk">*</a><br />B-RB#119898</td>
   <td>EoP</td>
   <td>中</td>
   <td>WLAN 驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-0706</td>
   <td>A-35195787<a href="#asterisk">*</a><br />B-RB#120532</td>
   <td>EoP</td>
   <td>中</td>
   <td>WLAN 驱动程序</td>
  </tr>
</tbody></table>
<h3 id="htc-components">HTC 组件</h3>
<p>这一部分中最严重的漏洞可让本地恶意应用通过特许进程执行任意代码。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>类型</th>
   <th>严重程度</th>
   <th>组件</th>
  </tr>
  <tr>
   <td>CVE-2017-0707</td>
   <td>A-36088467<a href="#asterisk">*</a></td>
   <td>EoP</td>
   <td>中</td>
   <td>LED 驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-0708</td>
   <td>A-35384879<a href="#asterisk">*</a></td>
   <td>ID</td>
   <td>中</td>
   <td>声音驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-0709</td>
   <td>A-35468048<a href="#asterisk">*</a></td>
   <td>ID</td>
   <td>低</td>
   <td>传感器中枢驱动程序</td>
  </tr>
</tbody></table>
<h3 id="kernel-components">内核组件</h3>
<p>这一部分中最严重的漏洞可让本地恶意应用通过特权进程执行任意代码。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>类型</th>
   <th>严重程度</th>
   <th>组件</th>
  </tr>
  <tr>
   <td>CVE-2017-6074</td>
   <td>A-35784697<br />
<a href="//git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?id=5edabca9d4cff7f1f2b68f0bac55ef99d9798ba4">上游内核</a></td>
   <td>EoP</td>
   <td>高</td>
   <td>网络子系统</td>
  </tr>
  <tr>
   <td>CVE-2017-5970</td>
   <td>A-35805460<br />
<a href="//git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=34b2cef20f19c87999fff3da4071e66937db9644">上游内核</a></td>
   <td>DoS</td>
   <td>高</td>
   <td>网络子系统</td>
  </tr>
  <tr>
   <td>CVE-2015-5707</td>
   <td>A-35841297<br />
<a href="//git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=451a2886b6bf90e2fb378f7c46c655450fb96e81">上游内核</a> [<a href="//git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=fdc81f45e9f57858da6351836507fbcf1b7583ee">2</a>]</td>
   <td>EoP</td>
   <td>中</td>
   <td>SCSI 驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-7308</td>
   <td>A-36725304<br />
<a href="//git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=2b6867c2ce76c596676bec7d2d525af525fdc6e2">上游内核</a> [<a href="//git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=8f8d28e4d6d815a391285e121c3a53a0b6cb9e7b">2</a>] [<a href="//git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=bcc5364bdcfe131e6379363f089e7b4108d35b70">3</a>]</td>
   <td>EoP</td>
   <td>中</td>
   <td>网络驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2014-9731</td>
   <td>A-35841292<br />
<a href="//git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=0e5cc9a40ada6046e6bc3bdfcd0c0d7e4b706b14">上游内核</a></td>
   <td>ID</td>
   <td>中</td>
   <td>文件系统</td>
  </tr>
</tbody></table>
<h3 id="mediatek-components">MediaTek 组件</h3>
<p>这一部分中最严重的漏洞可让本地恶意应用通过特权进程执行任意代码。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>类型</th>
   <th>严重程度</th>
   <th>组件</th>
  </tr>
  <tr>
   <td> CVE-2017-0711</td>
   <td>A-36099953<a href="#asterisk">*</a><br />M-ALPS03206781</td>
   <td>EoP</td>
   <td>高</td>
   <td>网络驱动程序</td>
  </tr>
</tbody></table>
<h3 id="nvidia-components">NVIDIA 组件</h3>
<p>这一部分中最严重的漏洞可让本地恶意应用通过特权进程执行任意代码。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>类型</th>
   <th>严重程度</th>
   <th>组件</th>
  </tr>
  <tr>
   <td>CVE-2017-0340</td>
   <td>A-33968204<a href="#asterisk">*</a><br />N-CVE-2017-0340</td>
   <td>EoP</td>
   <td>高</td>
   <td>Libnvparser</td>
  </tr>
  <tr>
   <td>CVE-2017-0326</td>
   <td>A-33718700<a href="#asterisk">*</a><br />N-CVE-2017-0326</td>
   <td>ID</td>
   <td>中</td>
   <td>视频驱动程序</td>
  </tr>
</tbody></table>
<h3 id="qualcomm-components">Qualcomm 组件</h3>
<p>这一部分中最严重的漏洞可让本地恶意应用通过内核执行任意代码。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>类型</th>
   <th>严重程度</th>
   <th>组件</th>
  </tr>
  <tr>
   <td>CVE-2017-8255</td>
   <td>A-36251983<br />
<a href="//source.codeaurora.org/quic/la/abl/tianocore/edk2/commit/?id=cd42366a73b38c8867b66472f07d67a6eccde599">QC-CR＃985205</a></td>
   <td>EoP</td>
   <td>高</td>
   <td>引导加载程序</td>
  </tr>
  <tr>
   <td>CVE-2016-10389</td>
   <td>A-34500449<br />
<a href="//source.codeaurora.org/quic/la//kernel/lk/commit/?id=031c27b4b8414bc93a14e773503d9bfc0fc890d2">QC-CR#1009145</a></td>
   <td>EoP</td>
   <td>高</td>
   <td>引导加载程序</td>
  </tr>
  <tr>
   <td>CVE-2017-8253</td>
   <td>A-35400552<br />
<a href="//www.codeaurora.org/gitweb/quic/la/?p=kernel/msm-4.4.git;a=commit;h=a5f07894058c4198f61e533d727b343c5be879b0">QC-CR#1086764</a></td>
   <td>EoP</td>
   <td>高</td>
   <td>摄像头驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-8262</td>
   <td>A-32938443<br />
<a href="//source.codeaurora.org/quic/la//kernel/msm-4.4/commit/?id=9ef4ee8e3dfaf4e796bda781826851deebbd89bd">QC-CR#2029113</a></td>
   <td>EoP</td>
   <td>高</td>
   <td>GPU 驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-8263</td>
   <td>A-34126808<a href="#asterisk">*</a><br />QC-CR#1107034</td>
   <td>EoP</td>
   <td>高</td>
   <td>匿名共享内存子系统</td>
  </tr>
  <tr>
   <td>CVE-2017-8267</td>
   <td>A-34173755<a href="#asterisk">*</a><br />QC-CR#2001129</td>
   <td>EoP</td>
   <td>高</td>
   <td>匿名共享内存子系统</td>
  </tr>
  <tr>
   <td>CVE-2017-8273</td>
   <td>A-35400056<br />
<a href="//source.codeaurora.org/quic/la//kernel/lk/commit/?id=dfe6691ba301c769179cabab12d74d4e952462b9">QC-CR#1094372</a> [<a href="//source.codeaurora.org/quic/la//kernel/lk/commit/?id=30d94c33dec0ffedc875d7853635a9773921320a">2</a>]</td>
   <td>EoP</td>
   <td>高</td>
   <td>引导加载程序</td>
  </tr>
  <tr>
   <td>CVE-2016-5863</td>
   <td>A-36251182<br />
<a href="//source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=daf0acd54a6a80de227baef9a06285e4aa5f8c93">QC-CR#1102936</a></td>
   <td>EoP</td>
   <td>中</td>
   <td>USB HID 驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-8243</td>
   <td>A-34112490<a href="#asterisk">*</a><br />QC-CR#2001803</td>
   <td>EoP</td>
   <td>中</td>
   <td>SoC 驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-8246</td>
   <td>A-37275839<br />
<a href="//source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=30baaec8afb05abf9f794c631ad944838d498ab8">QC-CR#2008031</a></td>
   <td>EoP</td>
   <td>中</td>
   <td>声音驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-8256</td>
   <td>A-37286701<br />
<a href="//source.codeaurora.org/quic/la//platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=75e1e00d6b3cd4cb89fd5314a60c333aa0b03230">QC-CR#1104565</a></td>
   <td>EoP</td>
   <td>中</td>
   <td>WLAN 驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-8257</td>
   <td>A-37282763<br />
<a href="//source.codeaurora.org/quic/la/kernel/msm-4.4/commit/?id=0f19fbd00c6679bbc524f7a6d0fc3d54cfd1c9ae">QC-CR#2003129</a></td>
   <td>EoP</td>
   <td>中</td>
   <td>视频驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-8259</td>
   <td>A-34359487<br />
<a href="//source.codeaurora.org/quic/la/kernel/msm-4.4/commit/?id=68020103af00280393da10039b968c95d68e526c">QC-CR#2009016</a></td>
   <td>EoP</td>
   <td>中</td>
   <td>SoC 驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-8260</td>
   <td>A-34624155<br />
<a href="//source.codeaurora.org/quic/la//kernel/msm-3.18/commit/?id=8f236391e5187c05f7f4b937856944be0af7aaa5">QC-CR#2008469</a></td>
   <td>EoP</td>
   <td>中</td>
   <td>摄像头驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-8261</td>
   <td>A-35139833<a href="#asterisk">*</a><br />
       QC-CR#2013631</td>
   <td>EoP</td>
   <td>中</td>
   <td>摄像头驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-8264</td>
   <td>A-33299365<a href="#asterisk">*</a><br />QC-CR#1107702</td>
   <td>EoP</td>
   <td>中</td>
   <td>摄像头驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-8265</td>
   <td>A-32341313<br />
<a href="//source.codeaurora.org/quic/la//kernel/msm-3.10/commit/?id=193813a21453ccc7fb6b04bedf881a6feaaa015f">QC-CR#1109755</a></td>
   <td>EoP</td>
   <td>中</td>
   <td>视频驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-8266</td>
   <td>A-33863407<br />
<a href="//source.codeaurora.org/quic/la//kernel/msm-3.18/commit/?id=42627c94cf8c189332a6f5bfdd465ea662777911">QC-CR#1110924</a></td>
   <td>EoP</td>
   <td>中</td>
   <td>视频驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-8268</td>
   <td>A-34620535<a href="#asterisk">*</a><br />QC-CR#2002207</td>
   <td>EoP</td>
   <td>中</td>
   <td>摄像头驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-8270</td>
   <td>A-35468665<a href="#asterisk">*</a><br />QC-CR#2021363</td>
   <td>EoP</td>
   <td>中</td>
   <td>WLAN 驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-8271</td>
   <td>A-35950388<a href="#asterisk">*</a><br />QC-CR#2028681</td>
   <td>EoP</td>
   <td>中</td>
   <td>视频驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-8272</td>
   <td>A-35950805<a href="#asterisk">*</a><br />QC-CR#2028702</td>
   <td>EoP</td>
   <td>中</td>
   <td>视频驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-8254</td>
   <td>A-36252027<br />
<a href="//source.codeaurora.org/quic/la/kernel/msm-3.10/commit/?id=70afce1d9be745005c48fd565c01ce452a565e7e">QC-CR#832914</a></td>
   <td>ID</td>
   <td>中</td>
   <td>声音驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-8258</td>
   <td>A-37279737<br />
<a href="//source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=31e2a2f0f2f3615cefd4400c707709bbc3e26170">QC-CR#2005647</a></td>
   <td>ID</td>
   <td>中</td>
   <td>摄像头驱动程序</td>
  </tr>
  <tr>
   <td>CVE-2017-8269</td>
   <td>A-33967002<a href="#asterisk">*</a><br />QC-CR#2013145</td>
   <td>ID</td>
   <td>中</td>
   <td>IPA 驱动程序</td>
  </tr>
</tbody></table>
<h3 id="qualcomm-closed-source-components">Qualcomm 闭源组件</h3>
<p>以下漏洞会影响 Qualcomm 组件；2014–2016 年的 Qualcomm AMSS 安全公告对这些漏洞进行了详细说明。此 Android 安全公告中也包含这些漏洞，旨在将其修复方案与 Android 安全补丁程序级别建立关联。这些漏洞的修复方案可直接从 Qualcomm 获取。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>类型</th>
   <th>严重程度</th>
   <th>组件</th>
  </tr>
  <tr>
   <td>CVE-2014-9411</td>
   <td>A-37473054<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2014-9968</td>
   <td>A-37304413<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2014-9973</td>
   <td>A-37470982<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2014-9974</td>
   <td>A-37471979<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2014-9975</td>
   <td>A-37471230<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2014-9977</td>
   <td>A-37471087<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2014-9978</td>
   <td>A-37468982<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2014-9979</td>
   <td>A-37471088<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2014-9980</td>
   <td>A-37471029<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-0575</td>
   <td>A-37296999<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-8592</td>
   <td>A-37470090<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-8595</td>
   <td>A-37472411<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-8596</td>
   <td>A-37472806<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9034</td>
   <td>A-37305706<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9035</td>
   <td>A-37303626<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9036</td>
   <td>A-37303519<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9037</td>
   <td>A-37304366<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9038</td>
   <td>A-37303027<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9039</td>
   <td>A-37302628<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9040</td>
   <td>A-37303625<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9041</td>
   <td>A-37303518<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9042</td>
   <td>A-37301248<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9043</td>
   <td>A-37305954<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9044</td>
   <td>A-37303520<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9045</td>
   <td>A-37302136<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9046</td>
   <td>A-37301486<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9047</td>
   <td>A-37304367<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9048</td>
   <td>A-37305707<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9049</td>
   <td>A-37301488<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9050</td>
   <td>A-37302137<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9051</td>
   <td>A-37300737<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9052</td>
   <td>A-37304217<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9053</td>
   <td>A-37301249<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9054</td>
   <td>A-37303177<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9055</td>
   <td>A-37472412<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9060</td>
   <td>A-37472807<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9061</td>
   <td>A-37470436<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9062</td>
   <td>A-37472808<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9067</td>
   <td>A-37474000<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9068</td>
   <td>A-37470144<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9069</td>
   <td>A-37470777<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9070</td>
   <td>A-37474001<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9071</td>
   <td>A-37471819<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9072</td>
   <td>A-37474002<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2015-9073</td>
   <td>A-37473407<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2016-10343</td>
   <td>A-32580186<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2016-10344</td>
   <td>A-32583954<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2016-10346</td>
   <td>A-37473408<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2016-10347</td>
   <td>A-37471089<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2016-10382</td>
   <td>A-28823584<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2016-10383</td>
   <td>A-28822389<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2016-10388</td>
   <td>A-32580294<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2016-10391</td>
   <td>A-32583804<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2016-5871</td>
   <td>A-37473055<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
  <tr>
   <td>CVE-2016-5872</td>
   <td>A-37472809<a href="#asterisk">*</a></td>
   <td>N/A</td>
   <td>高</td>
   <td>闭源组件</td>
  </tr>
</tbody></table>
<h2 id="google-device-updates">Google 设备更新</h2>
<p>下表中列出了适用于 Google 设备的最新无线下载更新 (OTA) 和固件映像中的安全补丁程序级别。可在 <a href="//developers.google.com/android/nexus/images">Google Developers 网站</a>上找到 Google 设备固件映像。</p>

<table>
  <colgroup><col width="25%" />
  <col width="75%" />
  </colgroup><tbody><tr>
   <th>Google 设备</th>
   <th>安全补丁程序级别</th>
  </tr>
  <tr>
   <td>Pixel/Pixel XL</td>
   <td>2017 年 7 月 5 日</td>
  </tr>
  <tr>
   <td>Nexus 5X</td>
   <td>2017 年 7 月 5 日</td>
  </tr>
  <tr>
   <td>Nexus 6</td>
   <td>2017 年 7 月 5 日</td>
  </tr>
  <tr>
   <td>Nexus 6P</td>
   <td>2017 年 7 月 5 日</td>
  </tr>
  <tr>
   <td>Nexus 9</td>
   <td>2017 年 7 月 5 日</td>
  </tr>
  <tr>
   <td>Nexus Player</td>
   <td>2017 年 7 月 5 日</td>
  </tr>
  <tr>
   <td>Pixel C</td>
   <td>2017 年 7 月 5 日</td>
  </tr>
</tbody></table>

<p>Google 设备更新还包含针对以下安全漏洞的补丁程序（如果适用）：</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>参考内容</th>
   <th>类型</th>
   <th>严重程度</th>
   <th>组件</th>
  </tr>
  <tr>
   <td>CVE-2017-0710</td>
   <td>A-34951864<a href="#asterisk">*</a></td>
   <td>EoP</td>
   <td>中</td>
   <td>TCB</td>
  </tr>
</tbody></table>

<h2 id="acknowledgements">致谢</h2>
<p>我们衷心感谢以下研究人员做出的贡献：</p>

<table>
  <colgroup><col width="17%" />
  <col width="83%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>研究人员</th>
  </tr>
  <tr>
   <td>CVE-2017-8263</td>
   <td>Google 的 Billy Lau</td>
  </tr>
  <tr>
   <td>CVE-2017-0711</td>
   <td>阿里巴巴移动安全团队的 Chengming Yang、Baozeng Ding 和 Yang Song</td>
  </tr>
  <tr>
   <td>CVE-2017-0681</td>
   <td><a href="//c0reteam.org">C0RE 团队</a>的 <a href="mailto:zc1991@mail.ustc.edu.cn">Chi Zhang</a>、<a href="mailto:arnow117@gmail.com">Hanxiang Wen</a>、Mingjian Zhou (<a href="//twitter.com/Mingjian_Zhou">@Mingjian_Zhou</a>) 和 Xuxian Jiang</td>
  </tr>
  <tr>
   <td>CVE-2017-0706</td>
   <td>腾讯玄武实验室的 Daxing Guo (<a href="//twitter.com/freener0">@freener0</a>)</td>
  </tr>
  <tr>
   <td>CVE-2017-8260</td>
   <td>Derrek (<a href="//twitter.com/derrekr6">@derrekr6</a>) 和 Scott Bauer</td>
  </tr>
  <tr>
   <td>CVE-2017-8265</td>
   <td>腾讯科恩实验室 (<a href="//twitter.com/keen_lab?lang=en">@keen_lab</a>) 的 Di Shen (<a href="//twitter.com/returnsme?lang=en">@returnsme</a>)</td>
  </tr>
  <tr>
   <td>CVE-2017-0703</td>
   <td><a href="//fb.me/dzimka">Dzmitry Lukyanenka</a></td>
  </tr>
  <tr>
   <td>CVE-2017-0692、CVE-2017-0694</td>
   <td>奇虎 360 科技有限公司 Alpha 团队的 Elphet 和龚广</td>
  </tr>
  <tr>
   <td>CVE-2017-8266、CVE-2017-8243、CVE-2017-8270</td>
   <td>奇虎 360 科技有限公司 IceSword 实验室的 Gengjia Chen (<a href="//twitter.com/chengjia4574">@chengjia4574</a>) 和 <a href="//weibo.com/jfpan">pjf</a></td>
  </tr>
  <tr>
   <td>CVE-2017-0665</td>
   <td><a href="//c0reteam.org">C0RE 团队</a>的 <a href="mailto:zc1991@mail.ustc.edu.cn">Chi Zhang</a>、<a href="mailto:arnow117@gmail.com">Hanxiang Wen</a>、Mingjian Zhou (<a href="//twitter.com/Mingjian_Zhou">@Mingjian_Zhou</a>) 和 Xuxian Jiang</td>
  </tr>
  <tr>
   <td>CVE-2017-8268、CVE-2017-8261</td>
   <td>奇虎 360 IceSword 实验室的 Jianqiang Zhao (<a href="//twitter.com/jianqiangzhao">@jianqiangzhao</a>) 和 <a href="//weibo.com/jfpan">pjf</a></td>
  </tr>
  <tr>
   <td>CVE-2017-0698</td>
   <td>Census Consulting Inc. 的 Joey Brand</td>
  </tr>
  <tr>
   <td>CVE-2017-0666、CVE-2017-0684</td>
   <td><a href="//c0reteam.org">C0RE 团队</a>的 Mingjian Zhou (<a href="//twitter.com/Mingjian_Zhou">@Mingjian_Zhou</a>)、<a href="mailto:zc1991@mail.ustc.edu.cn">Chi Zhang</a> 和 Xuxian Jiang</td>
  </tr>
  <tr>
   <td>CVE-2017-0697、CVE-2017-0670</td>
   <td><a href="mailto:jiych.guru@gmail.com">Niky1235</a> (<a href="//twitter.com/jiych_guru">@jiych_guru</a>)</td>
  </tr>
  <tr>
   <td>CVE-2017-9417</td>
   <td>Exodus Intelligence 的 Nitay Artenstein</td>
  </tr>
  <tr>
   <td>CVE-2017-0705、CVE-2017-8259</td>
   <td><a href="//twitter.com/ScottyBauer1">Scott Bauer</a></td>
  </tr>
  <tr>
   <td>CVE-2017-0667</td>
   <td>CSS Inc. 的 Timothy Becker</td>
  </tr>
  <tr>
   <td>CVE-2017-0682、CVE-2017-0683、CVE-2017-0676、CVE-2017-0696、CVE-2017-0675、CVE-2017-0701、CVE-2017-0702、CVE-2017-0699</td>
   <td>Vasily Vasiliev</td>
  </tr>
  <tr>
   <td>CVE-2017-0695、CVE-2017-0689、CVE-2017-0540、CVE-2017-0680、CVE-2017-0679、CVE-2017-0685、CVE-2017-0686、CVE-2017-0693、CVE-2017-0674、CVE-2017-0677</td>
   <td><a href="//www.trendmicro.com">趋势科技</a><a href="//blog.trendmicro.com/trendlabs-security-intelligence/category/mobile/">移动威胁响应团队</a>的 V.E.O (<a href="//twitter.com/vysea">@VYSEa</a>)</td>
  </tr>
  <tr>
   <td>CVE-2017-0708</td>
   <td>腾讯安全平台部门的 Xiling Gong</td>
  </tr>
  <tr>
   <td>CVE-2017-0690</td>
   <td>奇虎 360 Qex 团队的 Yangkang (<a href="//twitter.com/dnpushme">@dnpushme</a>) 和 Liyadong</td>
  </tr>
  <tr>
   <td>CVE-2017-8269、CVE-2017-8271、CVE-2017-8272、CVE-2017-8267</td>
   <td>奇虎 360 科技有限公司 IceSword 实验室的 Yonggang Guo (<a href="//twitter.com/guoygang">@guoygang</a>)</td>
  </tr>
  <tr>
   <td>CVE-2017-8264、CVE-2017-0326、CVE-2017-0709</td>
   <td><a href="//c0reteam.org">C0RE 团队</a>的 Yuan-Tsung Lo (<a href="mailto:computernik@gmail.com">computernik@gmail.com</a>) 和 Xuxian Jiang</td>
  </tr>
  <tr>
   <td>CVE-2017-0704、CVE-2017-0669</td>
   <td>腾讯安全平台部门的 Yuxiang Li (<a href="//twitter.com/xbalien29">@Xbalien29</a>)</td>
  </tr>
  <tr>
   <td>CVE-2017-0710</td>
   <td>Android 安全团队的 Zach Riggle (<a href="//twitter.com/ebeip90">@ebeip90</a>)</td>
  </tr>
  <tr>
   <td>CVE-2017-0678</td>
   <td>奇虎 360 科技有限公司成都安全响应中心的 <a href="//weibo.com/ele7enxxh">Zinuo Han</a></td>
  </tr>
  <tr>
   <td>CVE-2017-0691、CVE-2017-0700</td>
   <td>奇虎 360 科技有限公司成都安全响应中心的 <a href="//weibo.com/ele7enxxh">Zinuo Han</a> 和 <a href="//www.pwnzen.com/">Pangu 团队</a>的 Ao Wang (<a href="//twitter.com/ArayzSegment">@ArayzSegment</a>)</td>
  </tr>
</tbody></table>
<h2 id="common-questions-and-answers">常见问题和解答</h2>
<p>这一部分解答了用户阅读本公告后可能会提出的常见问题。</p>

<p><strong>1. 如何确定我的设备是否已通过更新解决这些问题？
</strong></p>

<p>要了解如何检查设备的安全补丁程序级别，请参阅 <a href="//support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">Pixel 和 Nexus 更新时间表</a>中的说明。</p>
<ul>
  <li>如果安全补丁程序级别是 2017-07-01 或更新，则意味着已解决 2017-07-01 安全补丁程序级别涵盖的所有问题。</li>
  <li>如果安全补丁程序级别是 2017-07-05 或更新，则意味着已解决 2017-07-05 以及之前的所有安全补丁程序级别涵盖的所有问题。</li>
</ul>
<p>预装这些更新的设备制造商应将补丁程序字符串级别设为</p>
<ul>
  <li>[ro.build.version.security_patch]:[2017-07-01]</li>
  <li>[ro.build.version.security_patch]:[2017-07-05]</li>
</ul>
<p><strong>2. 为何本公告有 2 个安全补丁程序级别？</strong></p>

<p>本公告之所以有 2 个安全补丁程序级别，是为了让 Android 合作伙伴能够灵活地、更快速地修复在各种 Android 设备上类似的一系列漏洞。我们建议 Android 合作伙伴修复本公告中的所有问题并使用最新的安全补丁程序级别。</p>
<ul>
  <li>如果设备使用的是 2017 年 7 月 1 日这一安全补丁程序级别，则必须包含该安全补丁程序级别涵盖的所有问题以及之前的安全公告中报告的所有问题的修复程序。</li>
  <li>如果设备使用的是 2017 年 7 月 5 日或更新的安全补丁程序级别，则必须包含本安全公告（以及之前的安全公告）中的所有适用补丁程序。</li>
</ul>
<p>我们建议合作伙伴将要解决的全部问题的修复程序打包到一个更新中。</p>

<p><strong>3.“类型”列中的条目表示什么意思？<em></em></strong></p>

<p>在漏洞详情表内，“类型”列中的条目是安全漏洞的分类。<em></em></p>

<table>
  <colgroup><col width="25%" />
  <col width="75%" />
  </colgroup><tbody><tr>
   <th>缩写词</th>
   <th>定义</th>
  </tr>
  <tr>
   <td>RCE</td>
   <td>远程代码执行</td>
  </tr>
  <tr>
   <td>EoP</td>
   <td>提权</td>
  </tr>
  <tr>
   <td>ID</td>
   <td>信息披露</td>
  </tr>
  <tr>
   <td>DoS</td>
   <td>拒绝服务</td>
  </tr>
  <tr>
   <td>N/A</td>
   <td>没有分类</td>
  </tr>
</tbody></table>

<p><strong>4.“参考内容”列中的条目表示什么意思？<em></em></strong></p>

<p>在漏洞详情表内，“参考内容”列中的条目可能包含用于标识参考值所属组织的前缀。<em></em></p>

<table>
  <colgroup><col width="25%" />
  <col width="75%" />
  </colgroup><tbody><tr>
   <th>前缀</th>
   <th>参考内容</th>
  </tr>
  <tr>
   <td>A-</td>
   <td>Android Bug ID</td>
  </tr>
  <tr>
   <td>QC-</td>
   <td>Qualcomm 参考编号</td>
  </tr>
  <tr>
   <td>M-</td>
   <td>MediaTek 参考编号</td>
  </tr>
  <tr>
   <td>N-</td>
   <td>NVIDIA 参考编号</td>
  </tr>
  <tr>
   <td>B-</td>
   <td>Broadcom 参考编号</td>
  </tr>
</tbody></table>

<p id="asterisk"><strong>5. 在“参考内容”列中，Android Bug ID 旁边的 * 表示什么意思？<em></em></strong></p>

<p>如果问题尚未公开发布，则在“参考内容”列中，相应 Android Bug ID 旁边会显示 *。<em></em><a href="//developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中通常包含旨在解决相应问题的更新。</p>

<h2 id="versions">版本</h2>
<table>
  <colgroup><col width="25%" />
  <col width="25%" />
  <col width="50%" />
  </colgroup><tbody><tr>
   <th>版本</th>
   <th>日期</th>
   <th>备注</th>
  </tr>
  <tr>
   <td>1.0</td>
   <td>2017 年 7 月 5 日</td>
   <td>发布了本公告。</td>
  </tr>
  <tr>
   <td>1.1</td>
   <td>2017 年 7 月 6 日</td>
   <td>修订了本公告，添加了 AOSP 链接。</td>
  </tr>
  <tr>
   <td>1.2</td>
   <td>2017 年 7 月 11 日</td>
   <td>修订了本公告，更新了致谢信息。</td>
  </tr>
  <tr>
   <td>1.3</td>
   <td>2017 年 8 月 17 日</td>
   <td>修订了本公告，更新了参考编号。</td>
  </tr>
  <tr>
   <td>1.4</td>
   <td>2017 年 9 月 19 日</td>
   <td>更新了 CVE-2017-0710 的致谢信息。</td>
  </tr>
  <tr>
   <td>1.5</td>
   <td>2017 年 9 月 26 日</td>
   <td>更新了 CVE-2017-0681 的致谢信息。</td>
  </tr>
</tbody></table>

</body></html>